SFML 3.0.2
Loading...
Searching...
No Matches
Public Attributes | List of all members
sf::Event::MouseWheelScrolled Struct Reference

Mouse wheel scrolled event subtype. More...

`#include <SFML/Window/Event.hpp>`

## Public Attributes

Mouse::Wheel | wheel {}
| Which wheel (for mice with multiple ones).
float | delta {}
| Wheel offset (positive is up/left, negative is down/right). High-precision mice may use non-integral offsets.
Vector2i | position
| Position of the mouse pointer, relative to the top left of the owner window.

## Detailed Description

Mouse wheel scrolled event subtype.

Definition at line 124 of file Event.hpp.

## Member Data Documentation

## ◆ delta

float sf::Event::MouseWheelScrolled::delta {}

Wheel offset (positive is up/left, negative is down/right). High-precision mice may use non-integral offsets.

Definition at line 127 of file Event.hpp.

## ◆ position

Vector2i sf::Event::MouseWheelScrolled::position

Position of the mouse pointer, relative to the top left of the owner window.

Definition at line 128 of file Event.hpp.

## ◆ wheel

Mouse::Wheel sf::Event::MouseWheelScrolled::wheel {}

Which wheel (for mice with multiple ones).

Definition at line 126 of file Event.hpp.

The documentation for this struct was generated from the following file:

- Event.hpp